var parentView = Ti.UI.createWindow();
 
// Create a ProgressBar.
var aProgressBar = Ti.UI.createProgressBar({
    min : 0,
    max : 10,
    value : 0,
    width : '200dp',
    height : '70dp',
    color : '#444',
    message : 'Measuring Progress',
    font : {fontSize:14, fontWeight:'bold'},
    style : Ti.UI.iPhone.ProgressBarStyle.PLAIN,
    top : 60
});
 
// Add to the parent view.
parentView.add(aProgressBar);
aProgressBar.show();
 
// Sample timer to demonstrate ProgressBar functionality.
var val = 0;
var interval = setInterval(function() {
    if (val <= 10) {
        aProgressBar.value = val;
        aProgressBar.message = 'Progress: ' + val + ' of 10';
        val++;
    } else {
        aProgressBar.message = 'Progress complete!';
        clearInterval(interval);
    }
}, 500);
 
parentView.open();